Data Analysis JDs
Closed, ResolvedPublic5 Story Points

Description

Finish draft JDs for the Data Analyst jobs and throw them into the mix

Acceptance criteria:

  • Give Wes Lead Data Analyst for Search & Discovery job description
Ironholds created this task.May 4 2015, 8:42 PM
Ironholds updated the task description. (Show Details)
Ironholds raised the priority of this task from to Normal.
Ironholds claimed this task.
Ironholds added a subscriber: Ironholds.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 4 2015, 8:42 PM
Ironholds edited a custom field.May 6 2015, 5:07 PM
Ironholds closed this task as Resolved.May 13 2015, 9:12 PM
Ironholds moved this task from In progress to Done on the Discovery-Analysis (Current work) board.
Deskana updated the task description. (Show Details)May 13 2015, 9:12 PM
Deskana reopened this task as Open.
Deskana updated the task description. (Show Details)
Deskana closed this task as Resolved.Jun 9 2015, 8:13 PM
Deskana added a subscriber: Deskana.

We've got a JD out for this, so I'd say we're done.